#### D.5.15.9 createBO

Procedure from library `resolve.lib` (see resolve_lib).

Usage:
  createBO(J[,W][,E]);
  J,W = ideals
  E = list

Assume:
  J = ideal containing W ( W = 0 if not specified)
  E = list of smooth hypersurfaces (e.g. exceptional divisors)

Return:
  list BO representing a basic object :
  BO[1] ideal W, if W has been specified; ideal(0) otherwise BO[2] ideal J
  BO[3] intvec
  BO[4] the list E of exceptional divisors if specified; empty list otherwise
  BO[5] an ideal defining the identity map
  BO[6] an intvec
  BO[7] intvec
  BO[8] a matrix
  entries 3,5,6,7,8 are initialized appropriately for use of CenterBO and blowUpBO

Example:

    LIB "resolve.lib";
    ring R=0,(x,y,z),dp;
    ideal J=x2-y3;
    createBO(J,ideal(z));
    ==> [1]:
    ==>    _[1]=z
    ==> [2]:
    ==>    _[1]=-y3+x2
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    empty list
    ==> [5]:
    ==>    _[1]=x
    ==>    _[2]=y
    ==>    _[3]=z
    ==> [6]:
    ==>    0
    ==> [7]:
    ==>    -1
    ==> [8]:
    ==>    _[1,1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.